# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.pheed
Class PheedImageUrl

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.photos.pheed.PheedConstruct
                  com.google.gdata.data.photos.pheed.PheedImageUrl

All Implemented Interfaces:
  Extension

Deprecated. the pheed namespace is deprecated in favor of media rss.

    @Deprecated
    public class PheedImageUrl

extends PheedConstruct

The photo:imgsrc element.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PheedImageUrl()` Deprecated.
`PheedImageUrl(java.lang.String imageUrl)` Deprecated.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Deprecated.

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PheedImageUrl

    public PheedImageUrl()

  Deprecated.

### PheedImageUrl

    public PheedImageUrl(java.lang.String imageUrl)

  Deprecated.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Deprecated.